package com.rjconsultores.ventaboletos.web.gui.controladores.job;

import org.apache.log4j.Logger;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.context.ApplicationContext;

import com.rjconsultores.ventaboletos.service.CalculoComissaoService;
import com.rjconsultores.ventaboletos.web.utilerias.spring.AppContext;

public class GeneracionRetencaoDiariaComissaoJob implements Job {
	
	private static Logger log = Logger.getLogger(GeneracionRetencaoDiariaComissaoJob.class);
	
	private CalculoComissaoService calculoComissaoService;

	@Override
	public void execute(JobExecutionContext arg0) throws JobExecutionException {
		
		log.info("Inicio Job retencao diaria da comissao");
		ApplicationContext appContext = AppContext.getApplicationContext();
		calculoComissaoService = (CalculoComissaoService) appContext.getBean("calculoComissaoService");
		calculoComissaoService.retencaoAutomaticaComissao();
		log.info("Fim Job retencao diaria da comissao");
	}

}
