package com.rjconsultores.ventaboletos.web.gui.controladores.relatorios.integracaoantifraude;

import java.util.Arrays;
import java.util.List;

import javax.sql.DataSource;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Controller;
import org.zkoss.zk.ui.Component;
import org.zkoss.zul.Button;
import org.zkoss.zul.Datebox;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.enums.TypeEventListener;
import com.rjconsultores.ventaboletos.service.EmpresaService;
import com.rjconsultores.ventaboletos.web.utilerias.MyComboboxEstandar;
import com.rjconsultores.ventaboletos.web.utilerias.MyGenericForwardComposer;
import com.rjconsultores.ventaboletos.web.utilerias.MyListbox;
import com.rjconsultores.ventaboletos.web.utilerias.render.RenderPersonalizado;

@Controller("relatorioIntegracaoAntiFraudeController")
@Scope("prototype")
public class RelatorioIntegracaoAntiFraudeController extends MyGenericForwardComposer {
	
	private static final long serialVersionUID = 1L;
	
	public static final String TITULO_RELATORIO = "indexController.mniRelatorioIntegracaoAntifraude.label";

	@Autowired
	private DataSource dataSource;
	
	private Datebox dtInicial;
	private Datebox dtFinal;
	
	@Autowired
	private EmpresaService empresaService;
	private List<Empresa> lsEmpresa;
	private MyComboboxEstandar cmbEmpresa;
	
	private List<EStatusKonduto> lsStatusKonduto;
	private MyListbox kondutoList;
	
	private Button  btnExecutarRelatorio;
	
	@Override
	public void doAfterCompose(Component comp) throws Exception {
		lsEmpresa = empresaService.obtenerTodos();
		super.doAfterCompose(comp);
		kondutoList.setItemRenderer(new RenderPersonalizado<EStatusKonduto>(Arrays.asList("descricao")));
		kondutoList.setData(Arrays.asList(EStatusKonduto.values()));
		configuraEventosExecucaoRelatorio();
	}
	
	private void configuraEventosExecucaoRelatorio() {
		btnExecutarRelatorio.addEventListener(TypeEventListener.ON_CLICK.getEvent(), 
				new EventListenerExecutarRelatorioIntegracaoAntiFraude(this));
	}

	public Datebox getDtInicial() {
		return dtInicial;
	}

	public Datebox getDtFinal() {
		return dtFinal;
	}
	
	public MyListbox getKondutoList() {
		return kondutoList;
	}
	
	public MyComboboxEstandar getCmbEmpresa() {
		return cmbEmpresa;
	}

	public DataSource getDataSource() {
		return dataSource;
	}

	public List<EStatusKonduto> getLsStatusKonduto() {
		return lsStatusKonduto;
	}

	public List<Empresa> getLsEmpresa() {
		return lsEmpresa;
	}
	
}
